---
layout: post
title: "Blog problems"
permalink: blog-problems
date: 2010-03-14
author: phobos
category: blog
tags: ["blog overload", "comment apocalypse", "data flood"]
---

As you may have noticed, the blog is having problems keeping up with the load. It seems the blog has become very popular over the past month. Even with caching enabled, the blog can't keep up. Another reason for the issues is that we're caught in a tricky balance between making the CAPTCHA easy to pass for humans with legitimate comments versus automated comment spammers. And then there are the human comment spammers which can pass any CAPTCHA we put up with varying degrees of success. We're up to hundreds of spam comments per day. We don't want to use a third party CAPTCHA or comment service because then we're giving up all our viewers to their tracking mechanisms. There's already enough surveillance on the Internet. Therefore, comments are disabled for the next day while we assess the load on the blog.

We are working on forums, right now they are tied up in making sure they are functional without javascript. We will announce and release them when they are ready.

The blog comment system has generally turned into a support forum, if you need support, ask us via [https://www.torproject.org/contact](https://www.torproject.org/contact "https://www.torproject.org/contact").

Thanks for your understanding.

